TIME(3)

NAME
time - get time of day

LIBRARY
libc

SYNOPSIS
#include <time.h>
time_t
time(time_t *tloc);

DESCRIPTION
The time() function returns the value of time in seconds since 0 hours, 0 minutes, 0 seconds, January 1, 1970, Coordinated Universal Time.

A copy of the time value may be saved to the area indicated by the pointer tloc. If tloc is a NULL pointer, no value is stored.

Upon successful completion, time() returns the value of time. Otherwise a value of ( (time_t) -1) is returned and the global variable errno is set to indicate the error.

ERRORS
The following error codes may be set in errno:

[EFAULT]
    An argument address referenced invalid memory.

SEE ALSO
gettimeofday(2), ctime(3)

STANDARDS
The time() function conforms to p1003.1-90.

HISTORY
A time() function appeared in AT&T UNIX.